LP(1V)

NAME
lp - send line printer requests

SYNOPSIS
/usr/5bin/lp [ -c ] [ -ddest ] [ -m ] [ -nnumber ] [ -ooption ] [ -s ] [ -ttitle ] [ file ... ]

DESCRIPTION
Lp submits the named file or files to be printed by a line printer. If no filenames are supplied, the standard input is printed. The files will be printed in the same order as they are mentioned in the command line.

OPTIONS
The options may occur in any order and may be interspersed with filenames.

-c  Copy files to a spool area immediately. If this option is not used, then links will be used instead when possible. This has the undesirable effect that edits to the file between issuing the lp command and the file being printed will appear in the printout.

-ddest
    Select dest as the printer to do the printing. Under some circumstances requests for particular printers may not be accepted (printer down, lack of spool space, etc). The default value of dest is taken from the environment variable LPDEST if it is set. Otherwise the system-wide default printer is used.

-m  Notify the user by mail when all the files have been printed.

-nnumber
    Print number copies of the output instead of the default single copy.

-ooption
    Specify printer dependent options. Several such options may be set by specifying the -o flag more than once.

-s  Suppress informational messages (including notifiation of the request id)

-ttitle
    Print title on the banner page.

SEE ALSO
cancel(1V), lpstat(1V)

BUGS
The filename hyphen (`-') meaning standard input is not supported.

A unique identifier associated with each request is not printed by lp on its standard output. To get this information, you are advised to use /usr/ucb/lpq. This id can then be used to monitor or cancel the request (lpstat(1V) and cancel(1V) respectively).

The -w option is not currently supported.

There is no support for printer classes.